package com.ejie.ab79.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.ejie.ab79.clientesWS.ab61WebService.Ab61Exception;
import com.ejie.ab79.clientesWS.ab61WebService.Usuario;
import com.ejie.ab79.model.RelCamDoc;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

/**
 * RelCamDocService  
 * 
 *  
 */

public interface RelCamDocService {

	RelCamDoc add(RelCamDoc relCamDoc);

	RelCamDoc find(RelCamDoc relCamDoc);

	void remove(RelCamDoc relCamDoc);

	List<RelCamDoc> findAll(RelCamDoc relCamDoc, TableRequestDto tableRequestDto);

	List<RelCamDoc> findAllLike(RelCamDoc relCamDoc, TableRequestDto tableRequestDto, Boolean startsWith);

	TableResponseDto<RelCamDoc> filter(RelCamDoc filterRelCamDoc, TableRequestDto tableRequestDto, Boolean startsWith);

	Object reorderSelection(RelCamDoc filterRelCamDoc, TableRequestDto tableRequestDto, Boolean startsWith);

	void removeByIdDocumentoSubido(RelCamDoc relCamDoc);

	void subidaPidInsertar(RelCamDoc relcamdoc, MultipartFile file, Usuario usuario) throws Ab61Exception;
}
